Get
/ap-rest-api/rest/2/scrfpdetail
Overview
The SC RFP Detail API (scRfpDetail) allows retrieving subcontractor Request for Payment (RFP) detail records for a specific vendor and contract. Line-item information including task amounts, completion percentages, retainage, WBS codes, and unit-rate data is available.
Query Standards
| Key | Recommended | Description |
|---|---|---|
finder |
Yes | Filters data based on attributes. See finder details below. Finder parameters are supplied after the finder name using a semicolon, and multiple attribute filters are separated by commas to form an and statement. For more information on finder usage, please see [Best Practice] |
limit |
Yes | A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. For additional information on using the limit functionality, please visit [Best Practice] |
offset |
Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit [Best Practice] |
orderBy |
Yes | The orderBy attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using orderBy functionality, please visit [Best Practice] |
Finder
Following row finders are available for data filtering and optimizing request performance.
- scRfpDetail
scRfp Detail Finder
Recommended finder parameters. Refer to Query Parameters for example.
| Parameter | Description | Sample |
|---|---|---|
| vendorCode | Vendor Code | 4015 |
| contractCode | Contract Code | 15002.003 |
| voucherUuid | Voucher UUID | 290272F8EC8916E0E0630B811DACCEF9 |
Attributes
| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example |
|---|---|---|---|---|---|---|
| RFP Detail UUID | scrfpdetail |
VsovVUuid |
Unique identifier for the RFP detail row. Primary key. | String | 64 | 4A4D59B5C4A54E25E0630B81A8C0D102 |
| RFP Voucher UUID | scrfpdetail |
VsovVouUuid | Voucher UUID | String | 64 | 4A4D59B5C4A54E25E0630B81A8C0D102 |
| Voucher Number | scrfpdetail |
VsovVouNum |
Voucher number associated with the RFP detail row. | Number | N/A | 3001 |
| Batch Number | scrfpdetail |
VsovBchNum |
Batch number associated with the RFP detail row. | Number | 11,0 | 5 |
| Invoice Code | scrfpdetail |
VsovInvCode |
Invoice code for the RFP detail row. | String | 20 | INV-2026-001 |
| Company Code | scrfpdetail |
VsovCompCode |
Company code associated with the RFP detail row. | String | 8 | AO01 |
| Vendor Code | scrfpdetail |
VsovVenCode |
Vendor code associated with the RFP detail row. | String | 8 | A1WINDOW |
| Contract Code | scrfpdetail |
VsovContCode |
Subcontract / contract code. | String | 20 | SUB-0909 |
| Change Order Code | scrfpdetail |
VsovChgCode |
Change order code for the RFP detail row. | String | 6 | CHG001 |
| Task Code | scrfpdetail |
VsovTaskCode |
Task code for the schedule line item. | String | 16 | TASK-01 |
| Task Name | scrfpdetail |
VsovTaskName |
Task name / description. | String | 200 | Electrical Rough-In |
| Task Amount | scrfpdetail |
VsovTaskAmt |
Scheduled value / task amount. | Number | 18,2 | 50000.00 |
| Completion Percentage | scrfpdetail |
VsovComplPct |
Percentage of work completed. | Number | 19,3 | 75.000 |
| Completion Amount | scrfpdetail |
VsovComplAmt |
Dollar amount of completed work for this billing period. | Number | 18,2 | 37500.00 |
| Previously Certified Amount | scrfpdetail |
VsovPrevCertAmt |
Previously certified dollar amount. | Number | 18,2 | 25000.00 |
| Task Quantity | scrfpdetail |
VsovTaskQty |
Total scheduled quantity. | Number | 16,8 | 100.00000000 |
| Completed Quantity | scrfpdetail |
VsovComplQty |
Quantity completed in this billing period. | Number | 16,8 | 75.00000000 |
| Previously Certified Quantity | scrfpdetail |
VsovPrevCertQty |
Previously certified quantity. | Number | 16,8 | 50.00000000 |
| Retainage Percentage | scrfpdetail |
VsovRetainagePct |
Retainage percentage applied to this line item. | Number | 6,3 | 10.000 |
| Contract Retained Amount | scrfpdetail |
VsovContRetainedAmt |
Total retained amount on the contract. | Number | 18,2 | 5000.00 |
| Voucher Retained Amount | scrfpdetail |
VsovVouRetainedAmt |
Retained amount on this voucher. | Number | 18,2 | 3750.00 |
| Voucher Retainage Release Amount | scrfpdetail |
VsovVouRetainRlsAmt |
Amount of retainage released on this voucher. | Number | 18,2 | 1250.00 |
| Invoice Line Amount | scrfpdetail |
VsovInvLineAmt |
Invoice line amount for this RFP detail row. | Number | 18,2 | 12500.00 |
| Invoice Line Number | scrfpdetail |
VsovInvLineNum |
Invoice line number. | Number | 11,0 | 1 |
| WBS Value Code 1 | scrfpdetail |
VsovWbsvCode1 |
Work Breakdown Structure value code 1. | String | 60 | WBS-LEVEL-1 |
| WBS Value Code 2 | scrfpdetail |
VsovWbsvCode2 |
Work Breakdown Structure value code 2. | String | 60 | WBS-LEVEL-2 |
| WBS Value Code 3 | scrfpdetail |
VsovWbsvCode3 |
Work Breakdown Structure value code 3. | String | 60 | WBS-LEVEL-3 |
| WBS Value Code 4 | scrfpdetail |
VsovWbsvCode4 |
Work Breakdown Structure value code 4. | String | 60 | WBS-LEVEL-4 |
| WBS PCI Line ORASEQ | scrfpdetail |
VsovWbsvPciLineOraseq |
Internal reference to the WBS PCI line. | Number | N/A | 300078 |
| Unit | scrfpdetail |
VsovUnit |
Unit of measure quantity. | Number | 16,8 | 1.00000000 |
| Work Method Code | scrfpdetail |
VsovWmCode |
Work method code applied to the task. | String | 2 | LS |
| Unit Rate | scrfpdetail |
VsovUnitRate |
Unit rate applied to the task quantity. | Number | 19,3 | 500.000 |
| Job Code | scrfpdetail |
VsovJobCode |
Job code identifying the project. | String | 10 | JOB-1001 |
| Phase Code | scrfpdetail |
VsovPhsCode |
Phase code for the cost distribution. | String | 16 | PHS-01 |
| Category Code | scrfpdetail |
VsovCatCode |
Category code for the cost distribution. | String | 16 | CAT-01 |
| Tenant ID | scrfpdetail |
VsovTenantId |
Tenant identifier for multi-tenant deployments. | String | 30 | TENANT01 |
Security
HTTP
Type basic
Basic authentication
Query parameters
finder
string
ExamplescRfpDetail;VenCode=90223,ContCode=15002.003,VouUuid=290272F8EC8916E0E0630B811DACCEF9
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleVsovContCode:desc
Responses
200
OK
Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
example-0
Successful Response - Finder - ScRfpDetailFinder
{
"items": [
{
"VsovVUuid": "50C76E1610E4D64EE0630B811DAC0F48",
"VsovVouVUuid": "290272F8EC8916E0E0630B811DACCEF9",
"VsovScschOraseq": null,
"VsovVouNum": 32,
"VsovBchNum": 117,
"VsovInvCode": "1",
"VsovCompCode": null,
"VsovVenCode": null,
"VsovContCode": null,
"VsovChgCode": null,
"VsovTaskCode": "H",
"VsovTaskName": "Retainage",
"VsovTaskAmt": null,
"VsovComplPct": null,
"VsovComplAmt": null,
"VsovPrevCertAmt": null,
"VsovTaskQty": null,
"VsovComplQty": null,
"VsovPrevCertQty": null,
"VsovRetainagePct": null,
"VsovContRetainedAmt": null,
"VsovVouRetainedAmt": null,
"VsovVouRetainRlsAmt": null,
"VsovInvLineAmt": -1.88,
"VsovInvLineNum": 20,
"VsovWbsvCode1": null,
"VsovWbsvCode2": null,
"VsovWbsvCode3": null,
"VsovWbsvCode4": null,
"VsovWbsvPciLineOraseq": null,
"VsovUnit": null,
"VsovWmCode": null,
"VsovUnitRate": null,
"VsovJobCode": null,
"VsovPhsCode": null,
"VsovCatCode": null,
"VsovTenantId": "TN83T0936Q1590",
"links": [
{
"rel": "self",
"href": "http://127.0.0.1:7101/ap-rest-api/rest/2/scrfpdetail/50C76E1610E4D64EE0630B811DAC0F48",
"name": "scrfpdetail",
"kind": "item"
},
{
"rel": "canonical",
"href": "http://127.0.0.1:7101/ap-rest-api/rest/2/scrfpdetail/50C76E1610E4D64EE0630B811DAC0F48",
"name": "scrfpdetail",
"kind": "item"
}
]
},
{
"VsovVUuid": "50C76E1610E5D64EE0630B811DAC0F48",
"VsovVouVUuid": "290272F8EC8916E0E0630B811DACCEF9",
"VsovScschOraseq": null,
"VsovVouNum": 32,
"VsovBchNum": 117,
"VsovInvCode": "1",
"VsovCompCode": null,
"VsovVenCode": null,
"VsovContCode": null,
"VsovChgCode": null,
"VsovTaskCode": "E",
"VsovTaskName": "Other",
"VsovTaskAmt": null,
"VsovComplPct": null,
"VsovComplAmt": null,
"VsovPrevCertAmt": null,
"VsovTaskQty": null,
"VsovComplQty": null,
"VsovPrevCertQty": null,
"VsovRetainagePct": null,
"VsovContRetainedAmt": null,
"VsovVouRetainedAmt": null,
"VsovVouRetainRlsAmt": null,
"VsovInvLineAmt": 25,
"VsovInvLineNum": 150,
"VsovWbsvCode1": null,
"VsovWbsvCode2": null,
"VsovWbsvCode3": null,
"VsovWbsvCode4": null,
"VsovWbsvPciLineOraseq": null,
"VsovUnit": null,
"VsovWmCode": null,
"VsovUnitRate": null,
"VsovJobCode": null,
"VsovPhsCode": null,
"VsovCatCode": null,
"VsovTenantId": "TN83T0936Q1590",
"links": [
{
"rel": "self",
"href": "http://127.0.0.1:7101/ap-rest-api/rest/2/scrfpdetail/50C76E1610E5D64EE0630B811DAC0F48",
"name": "scrfpdetail",
"kind": "item"
},
{
"rel": "canonical",
"href": "http://127.0.0.1:7101/ap-rest-api/rest/2/scrfpdetail/50C76E1610E5D64EE0630B811DAC0F48",
"name": "scrfpdetail",
"kind": "item"
}
]
}
],
"count": 2,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "http://127.0.0.1:7101/ap-rest-api/rest/2/scrfpdetail",
"name": "scrfpdetail",
"kind": "collection"
}
]
}example-1
Successful Response - Finder - ScRfpDetailFinder
{
"items": [
{
"VsovVouNum": 200797915,
"VsovBchNum": 4460590,
"VsovInvCode": "20200805",
"VsovCompCode": "001",
"VsovVenCode": "90223",
"VsovContCode": "15002.003",
"VsovChgCode": "000",
"VsovTaskCode": "001",
"VsovTaskName": "Site Demolition",
"VsovTaskAmt": 750000,
"VsovComplPct": 1.333,
"VsovComplAmt": 10000,
"VsovPrevCertAmt": 10000,
"VsovTaskQty": 1,
"VsovComplQty": 0.01333333,
"VsovPrevCertQty": 0.01333333,
"VsovRetainagePct": 10,
"VsovContRetainedAmt": 1000,
"VsovVouRetainedAmt": 1000,
"VsovVouRetainRlsAmt": 0,
"VsovInvLineAmt": 10000,
"VsovInvLineNum": 120,
"VsovWbsvCode1": null,
"VsovWbsvCode2": null,
"VsovWbsvCode3": null,
"VsovWbsvCode4": null,
"VsovUnit": 1,
"VsovWmCode": "LS",
"VsovUnitRate": 750000,
"VsovJobCode": "15002",
"VsovPhsCode": "02220",
"VsovCatCode": "S",
"links": [
{
"rel": "self",
"href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/scrfpdetail/000300000126ACED0005737200146A6176612E6D6174682E426967446563696D616C54C71557F981284F0300024900057363616C654C0006696E7456616C7400164C6A6176612F6D6174682F426967496E74656765723B787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787000000000737200146A6176612E6D6174682E426967496E74656765728CFC9F1FA93BFB1D030006490008626974436F756E744900096269744C656E67746849001366697273744E6F6E7A65726F427974654E756D49000C6C6F776573745365744269744900067369676E756D5B00096D61676E69747564657400025B427871007E0002FFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFE00000001757200025B42ACF317F8060854E002000078700000000428ADCE02787800000125ACED0005737200146A6176612E6D6174682E426967446563696D616C54C71557F981284F0300024900057363616C654C0006696E7456616C7400164C6A6176612F6D6174682F426967496E74656765723B787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787000000000737200146A6176612E6D6174682E426967496E74656765728CFC9F1FA93BFB1D030006490008626974436F756E744900096269744C656E67746849001366697273744E6F6E7A65726F427974654E756D49000C6C6F776573745365744269744900067369676E756D5B00096D61676E69747564657400025B427871007E0002FFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFE00000001757200025B42ACF317F8060854E002000078700000000344102E787800000123ACED0005737200146A6176612E6D6174682E426967446563696D616C54C71557F981284F0300024900057363616C654C0006696E7456616C7400164C6A6176612F6D6174682F426967496E74656765723B787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787000000000737200146A6176612E6D6174682E426967496E74656765728CFC9F1FA93BFB1D030006490008626974436F756E744900096269744C656E67746849001366697273744E6F6E7A65726F427974654E756D49000C6C6F776573745365744269744900067369676E756D5B00096D61676E69747564657400025B427871007E0002FFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFE00000001757200025B42ACF317F8060854E0020000787000000001787878",
"name": "scrfpdetail",
"kind": "item"
},
{
"rel": "canonical",
"href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/scrfpdetail/000300000126ACED0005737200146A6176612E6D6174682E426967446563696D616C54C71557F981284F0300024900057363616C654C0006696E7456616C7400164C6A6176612F6D6174682F426967496E74656765723B787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787000000000737200146A6176612E6D6174682E426967496E74656765728CFC9F1FA93BFB1D030006490008626974436F756E744900096269744C656E67746849001366697273744E6F6E7A65726F427974654E756D49000C6C6F776573745365744269744900067369676E756D5B00096D61676E69747564657400025B427871007E0002FFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFE00000001757200025B42ACF317F8060854E002000078700000000428ADCE02787800000125ACED0005737200146A6176612E6D6174682E426967446563696D616C54C71557F981284F0300024900057363616C654C0006696E7456616C7400164C6A6176612F6D6174682F426967496E74656765723B787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787000000000737200146A6176612E6D6174682E426967496E74656765728CFC9F1FA93BFB1D030006490008626974436F756E744900096269744C656E67746849001366697273744E6F6E7A65726F427974654E756D49000C6C6F776573745365744269744900067369676E756D5B00096D61676E69747564657400025B427871007E0002FFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFE00000001757200025B42ACF317F8060854E002000078700000000344102E787800000123ACED0005737200146A6176612E6D6174682E426967446563696D616C54C71557F981284F0300024900057363616C654C0006696E7456616C7400164C6A6176612F6D6174682F426967496E74656765723B787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787000000000737200146A6176612E6D6174682E426967496E74656765728CFC9F1FA93BFB1D030006490008626974436F756E744900096269744C656E67746849001366697273744E6F6E7A65726F427974654E756D49000C6C6F776573745365744269744900067369676E756D5B00096D61676E69747564657400025B427871007E0002FFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFE00000001757200025B42ACF317F8060854E0020000787000000001787878",
"name": "scrfpdetail",
"kind": "item"
}
]
}
],
"count": 1,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/scrfpdetail",
"name": "scrfpdetail",
"kind": "collection"
}
]
}object